<template>
  <v-snackbar top v-model="show" :timeout="3000" :color="notification.type">
    {{ notification.text }}
  </v-snackbar>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';

const { mapState, mapActions } = createNamespacedHelpers('app');

export default {
  name: 'Notification',
  computed: {
    ...mapState({
      active: state => state.notification.active,
      notification: state => state.notification.notification
    }),
    show: {
      get() {
        return this.active;
      },
      set() {
        this.clearNotification();
      }
    }
  },
  methods: {
    ...mapActions(['clearNotification'])
  }
};
</script>
